#include <stdlib.h>
#include <curses.h>
#include <signal.h>

#include "p_poker.h"
#include "p_common.h"
#include "p_window.h"

extern int turn;

/* Do you really want to quit ? */
void
really(void)
{
	char    reply;

	px_putmsg("Do you really want to quit ? ");
	do
		px_get_input(0, &reply);
	while (reply != 'y' && reply != 'n');

	if (reply == 'y')
		px_die();
	else {
		px_delete_prev();
	}

}

/* ask user if he wants to raise, drop or call */
int 
choose_RCD(int source, int *amount, int turn)
{
	char    choice, *res;
	int     response;

	px_putmsg("Do you wish to %s Drop or Call???",
		(turn == 6) ? "" : "Raise,");

	do
		get_RCD(source, &choice, turn); /* turn inserted by hunsoo */
	while (turn == 6 && choice == 'r');	/* disallow raise on turn 6 */

	res = choice == 'r' ? "Raise!" : choice == 'd' ? "Drop!!" : "Call!";
	px_putmsg(res);
	if (choice == 'r')
		px_show_inc(1, source, amount);

	switch (choice) {
		case 'c':		/* Staying */
			response = 3;
			break;
		case 'd':		/* dropping */
			response = 2;
			break;
		case 'r':		/* betting */
			response = (*amount / 5) + 8;

	}
	return response;
}
