#ifndef H_X_COMMON_H
#define H_X_COMMON_H

#define xcommon

extern Window  rootwin;
extern Window  appwin, dummy_win;
extern int     screenno;
extern Display *dpy;
extern unsigned long pixel_white, pixel_black;
extern unsigned long pixel_red, pixel_green, pixel_blue;
extern GC      gc, gcr, gc_red, gc_white, gc_black;
extern unsigned int	width, height;

extern int	dummy;
extern int     override;
extern int     win_x, win_y;
extern unsigned int win_height, win_width, win_borderWidth, win_depth;
extern int	app_x, app_y;
extern unsigned int app_width, app_height, app_borderWidth, app_depth;

unsigned long name_to_pixel(Colormap colorm, const char *name);
void	extra(void);
int	error(Display *disp, XErrorEvent *event);
void	set_gclinewidth(GC gc, const int linewidth);
unsigned long name_to_pixel(Colormap colorm, const char *name);
int	error(Display *disp, XErrorEvent *event);
void	set_gclinewidth(GC gc, const int linewidth);
void	set_gcinvert(GC gc);
void	set_gcoriginal(GC gc);
void	gc_invert(GC gc);
char	*get_eventname(const int eventno);

#endif
